#ifndef FILTER_IFILTER_H
#define FILTER_IFILTER_H

#include <cstdint>
#include <vector>

namespace Filter {

class IFilter {
 protected:
  std::vector<float> impulseResponse;

 public:
  IFilter(std::size_t size);
  virtual ~IFilter(){};

  void ConvolveIQ(const std::vector<float>& input, std::vector<float>& output);
};
} // namespace Filter

#endif